summaryrefslogtreecommitdiff
path: root/dev-python/schema
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-24 22:06:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-02-24 22:06:56 +0000
commit0261dc041f71d8689e262bb297ddd2394c8e49e5 (patch)
tree7a7a696ffe8d777d8ffbc46a296b942c26161332 /dev-python/schema
parent4b10c4427684b9ac52f7eb01e53d21540edf47b5 (diff)
downloadbaldeagleos-repo-0261dc041f71d8689e262bb297ddd2394c8e49e5.tar.gz
baldeagleos-repo-0261dc041f71d8689e262bb297ddd2394c8e49e5.tar.xz
baldeagleos-repo-0261dc041f71d8689e262bb297ddd2394c8e49e5.zip
Adding metadata
Diffstat (limited to 'dev-python/schema')
-rw-r--r--dev-python/schema/metadata.xml8
-rw-r--r--dev-python/schema/schema-0.7.5-r1.ebuild27
-rw-r--r--dev-python/schema/schema-0.7.5.ebuild17
3 files changed, 31 insertions, 21 deletions
diff --git a/dev-python/schema/metadata.xml b/dev-python/schema/metadata.xml
index 56988650ec34..a0d4c5913ba0 100644
--- a/dev-python/schema/metadata.xml
+++ b/dev-python/schema/metadata.xml
@@ -1,10 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>davidroman96@gmail.com</email>
- <name>David Roman</name>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
</maintainer>
- <origin>gentoo-guru-overlay</origin>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/schema/schema-0.7.5-r1.ebuild b/dev-python/schema/schema-0.7.5-r1.ebuild
new file mode 100644
index 000000000000..c38c48fcbb6a
--- /dev/null
+++ b/dev-python/schema/schema-0.7.5-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple data validation library"
+HOMEPAGE="
+ https://github.com/keleshev/schema/
+ https://pypi.org/project/schema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # py2 leftover
+ > requirements.txt || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/schema/schema-0.7.5.ebuild b/dev-python/schema/schema-0.7.5.ebuild
deleted file mode 100644
index f4b88597e181..000000000000
--- a/dev-python/schema/schema-0.7.5.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517="setuptools"
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Python module to validate and convert data structures"
-HOMEPAGE="https://github.com/keleshev/schema"
-KEYWORDS="~amd64"
-LICENSE="MIT"
-SLOT="0"
-
-distutils_enable_tests pytest